B2B REST APIs

REST APIs for B2B Edition — BigCommerce’s add-on for business-to-business commerce. These APIs are available to stores with B2B Edition enabled.

Authentication

B2B APIs use the same X-Auth-Token authentication pattern as the Admin APIs. Include your store-level or app-level access token in the request header:

B2B API request format
GET https://api.bigcommerce.com/stores/{store_hash}/v3/{endpoint}
X-Auth-Token: {access_token}
Accept: application/json
Content-Type: application/json

For full details, see Authentication overview and API Accounts.

What’s inside

  • Storefront — Buyer-facing B2B operations for company management, quote handling, and shopping lists
  • Management — Admin-level B2B operations for managing companies, price lists, quotes, and sales reps

For B2B guides, getting started content, and conceptual docs, see the B2B Edition docs.